phing-filters

# Class: XincludeFilter Source Location: /filters/XincludeFilter.php
### Class Overview
    Reader
       |
       --FilterReader
          |
          --BaseFilterReader
             |
             --BaseParamFilterReader
                |
                --XincludeFilter
Applies Xinclude parsing to incoming text. #### Author(s): Bill Karwin <bill@karwin.com> #### Version: $Id: XincludeFilter.php 526 2009-08-11 12:11:17Z mrook $ #### Copyright: © 2003 seasonfive. All rights reserved Implements interfaces: ChainableReader | ### Methods chain getBasedir getResolveExternals process read setBasedir setResolveExternals
### Inherited Variables #### Class: BaseParamFilterReader BaseParamFilterReader::$_parameters #### Class: BaseFilterReader BaseFilterReader::$initialized BaseFilterReader::$project #### Class: FilterReader FilterReader::$in | ### Inherited Methods #### Class: BaseParamFilterReader BaseParamFilterReader::getParameters() BaseParamFilterReader::setParameters() #### Class: BaseFilterReader BaseFilterReader::__construct() Constructor used by Phing's introspection mechanism. BaseFilterReader::eof() Returns whether the end of file has been reached with input stream. BaseFilterReader::getInitialized() Returns the initialized status. BaseFilterReader::getProject() Returns the project this filter is part of. BaseFilterReader::log() Convenience method to support logging in filters. BaseFilterReader::read() Reads characters. BaseFilterReader::readLine() Reads a line of text ending with '\n' (or until the end of the stream). BaseFilterReader::setInitialized() Sets the initialized status. BaseFilterReader::setProject() Sets the project to work with. #### Class: FilterReader FilterReader::__construct() FilterReader::close() FilterReader::getResource() FilterReader::read() Read data from source. FilterReader::reset() FilterReader::setReader() FilterReader::skip() #### Class: Reader Reader::close() Close stream. Reader::getResource() Returns the filename, url, etc. that is being read from. Reader::mark() If supported, places a "marker" (like a bookmark) at current stream position. Reader::markSupported() Whether marking is supported. Reader::read() Read data from source. Reader::ready() Is stream ready for reading. Reader::reset() Reset the current position in stream to beginning or last mark (if supported). Reader::skip() Move stream position relative to current pos.
### Class Details [line 36] Applies Xinclude parsing to incoming text. Uses PHP DOM XML support #### Tags:
author: | Bill Karwin <bill@karwin.com>
version: | $Id: XincludeFilter.php 526 2009-08-11 12:11:17Z mrook $
copyright: | © 2003 seasonfive. All rights reserved
see: | FilterReader
[ Top ] ### Class Methods ### method chain [line 167]
`Reader chain( $reader)`
Creates a new XincludeFilter using the passed in Reader for instantiation. #### Tags:
return: | A new filter based on this configuration, but filtering the specified reader
Implementation of: ChainableReader::chain() Returns a reader with the same configuration as this one, but filtering input from the specified reader. #### Parameters:
Reader | $reader | A Reader object providing the underlying stream. Must not be null .
[ Top ] ### method getBasedir [line 81]
`void getBasedir( )`
#### Tags:
access: | public
[ Top ] ### method getResolveExternals [line 71]
`bool getResolveExternals( )`
#### Tags:
since: | 2.4
access: | public
[ Top ] ### method process [line 135]
`void process( string $xml)`
Try to process the Xinclude transformation #### Tags:
throws: | BuildException On errors
access: | protected
#### Parameters:
string | $xml | XML to process.
[ Top ] ### method read [line 91]
`string read( [ $len = null])`
Reads stream, applies XSLT and returns resulting stream. #### Tags:
return: | transformed buffer.
throws: | BuildException - if XSLT support missing, if error in xslt processing
Overrides BaseFilterReader::read() (Reads characters.) #### Parameters:
| $len |
[ Top ] ### method setBasedir [line 76]
`void setBasedir( $dir)`
#### Tags:
access: | public
#### Parameters:
PhingFile | $dir |
[ Top ] ### method setResolveExternals [line 61]
`void setResolveExternals( $resolveExternals $resolveExternals)`
Whether to resolve entities. #### Tags:
since: | 2.4
access: | public
#### Parameters:
$resolveExternals | $resolveExternals |
[ Top ] Documentation generated on Mon, 19 Oct 2009 10:52:23 +0200 by phpDocumentor 1.4.3